Package org.silverpeas.components.resourcesmanager.web

## Class ReservationEntity

- java.lang.Object
- - org.silverpeas.core.webapi.calendar.AbstractEventEntity<ReservationEntity>
  - - org.silverpeas.components.resourcesmanager.web.ReservationEntity

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.web.rs.WebEntity`

      public class ReservationEntity
      extends org.silverpeas.core.webapi.calendar.AbstractEventEntity<ReservationEntity>

  Author:
    Yohann Chastagnier
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ReservationEntity()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ReservationEntity` | `add​(ReservedResourceEntity reservedResourceEntity)` |
    `ReservationEntity` | `addAll​(Collection<ReservedResourceEntity> reservedResourceEntities)` |
    `static ReservationEntity` | `createFrom​(String instanceId, Reservation reservation)` | Creates a new reservation entity from the specified reservation.
    `String` | `getBookedBy()` |
    `String` | `getPlace()` |
    `String` | `getReason()` |
    `protected Reservation` | `getReservation()` |
    `Collection<ReservedResourceEntity>` | `getResources()` |
    `URI` | `getResourceURI()` |
    `String` | `getStatus()` |
    `ReservationEntity` | `withResourceURI​(URI resourceURI)` |
    `ReservationEntity` | `withURI​(URI uri)` |

    - ### Methods inherited from class org.silverpeas.core.webapi.calendar.AbstractEventEntity

      `equals, getDescription, getEnd, getId, getStart, getTitle, getType, getURI, getUrl, hashCode, isAllDay`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReservationEntity

          protected ReservationEntity()

  - ### Method Detail

    - #### withURI

          public ReservationEntity withURI​(URI uri)

      Overrides:
        `withURI` in class `org.silverpeas.core.webapi.calendar.AbstractEventEntity<ReservationEntity>`

    - #### withResourceURI

          public ReservationEntity withResourceURI​(URI resourceURI)

    - #### createFrom

          public static ReservationEntity createFrom​(String instanceId,
                                                     Reservation reservation)

      Creates a new reservation entity from the specified reservation.
      Parameters:
        `instanceId` -
        `reservation` -
      Returns:
        the entity representing the specified reservation.

    - #### getReservation

          protected Reservation getReservation()

    - #### getReason

          public String getReason()

    - #### getPlace

          public String getPlace()

    - #### getStatus

          public String getStatus()

    - #### getBookedBy

          public String getBookedBy()

    - #### getResourceURI

          public URI getResourceURI()

    - #### getResources

          public Collection<ReservedResourceEntity> getResources()

    - #### add

          public ReservationEntity add​(ReservedResourceEntity reservedResourceEntity)

    - #### addAll

          public ReservationEntity addAll​(Collection<ReservedResourceEntity> reservedResourceEntities)